{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Globalization.CultureInfo where

import NET
--import qualified NET.System.Globalization.CultureTypes
import qualified NET.System.Array
import qualified NET.System.Globalization.CompareInfo
import qualified NET.System.Globalization.TextInfo
import qualified NET.System.Object
import qualified NET.System.Type
import qualified NET.System.Globalization.NumberFormatInfo
import qualified NET.System.Globalization.DateTimeFormatInfo
import qualified NET.System.Globalization.Calendar

data CultureInfo_ a
type CultureInfo a = NET.System.Object.Object (CultureInfo_ a)

createSpecificCulture :: String -> IO (NET.System.Globalization.CultureInfo.CultureInfo a1)
createSpecificCulture arg0 = invokeStatic "System.Globalization.CultureInfo" "CreateSpecificCulture" (arg0)

get_CurrentCulture :: IO (NET.System.Globalization.CultureInfo.CultureInfo a0)
get_CurrentCulture = invokeStatic "System.Globalization.CultureInfo" "get_CurrentCulture" () 

get_CurrentUICulture :: IO (NET.System.Globalization.CultureInfo.CultureInfo a0)
get_CurrentUICulture = invokeStatic "System.Globalization.CultureInfo" "get_CurrentUICulture" () 

get_InstalledUICulture :: IO (NET.System.Globalization.CultureInfo.CultureInfo a0)
get_InstalledUICulture = invokeStatic "System.Globalization.CultureInfo" "get_InstalledUICulture" () 

get_InvariantCulture :: IO (NET.System.Globalization.CultureInfo.CultureInfo a0)
get_InvariantCulture = invokeStatic "System.Globalization.CultureInfo" "get_InvariantCulture" () 

get_Parent :: CultureInfo obj -> IO (NET.System.Globalization.CultureInfo.CultureInfo a0)
get_Parent = invoke "get_Parent" () 

get_LCID :: CultureInfo obj -> IO (Int)
get_LCID = invoke "get_LCID" () 

get_KeyboardLayoutId :: CultureInfo obj -> IO (Int)
get_KeyboardLayoutId = invoke "get_KeyboardLayoutId" () 

--getCultures :: NET.System.Globalization.CultureTypes.CultureTypes a0 -> IO (NET.System.Array.Array (NET.System.Globalization.CultureInfo.CultureInfo a1))
--getCultures arg0 = invokeStatic "System.Globalization.CultureInfo" "GetCultures" (arg0)

get_Name :: CultureInfo obj -> IO (String)
get_Name = invoke "get_Name" () 

get_IetfLanguageTag :: CultureInfo obj -> IO (String)
get_IetfLanguageTag = invoke "get_IetfLanguageTag" () 

get_DisplayName :: CultureInfo obj -> IO (String)
get_DisplayName = invoke "get_DisplayName" () 

get_NativeName :: CultureInfo obj -> IO (String)
get_NativeName = invoke "get_NativeName" () 

get_EnglishName :: CultureInfo obj -> IO (String)
get_EnglishName = invoke "get_EnglishName" () 

get_TwoLetterISOLanguageName :: CultureInfo obj -> IO (String)
get_TwoLetterISOLanguageName = invoke "get_TwoLetterISOLanguageName" () 

get_ThreeLetterISOLanguageName :: CultureInfo obj -> IO (String)
get_ThreeLetterISOLanguageName = invoke "get_ThreeLetterISOLanguageName" () 

get_ThreeLetterWindowsLanguageName :: CultureInfo obj -> IO (String)
get_ThreeLetterWindowsLanguageName = invoke "get_ThreeLetterWindowsLanguageName" () 

get_CompareInfo :: CultureInfo obj -> IO (NET.System.Globalization.CompareInfo.CompareInfo a0)
get_CompareInfo = invoke "get_CompareInfo" () 

get_TextInfo :: CultureInfo obj -> IO (NET.System.Globalization.TextInfo.TextInfo a0)
get_TextInfo = invoke "get_TextInfo" () 

equals :: NET.System.Object.Object a0 -> CultureInfo obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getHashCode :: CultureInfo obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

toString :: CultureInfo obj -> IO (String)
toString = invoke "ToString" () 

getFormat :: NET.System.Type.Type a0 -> CultureInfo obj -> IO (NET.System.Object.Object a1)
getFormat arg0 = invoke "GetFormat" (arg0)

get_IsNeutralCulture :: CultureInfo obj -> IO (Bool)
get_IsNeutralCulture = invoke "get_IsNeutralCulture" () 

--get_CultureTypes :: CultureInfo obj -> IO (NET.System.Globalization.CultureTypes.CultureTypes a0)
--get_CultureTypes = invoke "get_CultureTypes" () 

get_NumberFormat :: CultureInfo obj -> IO (NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a0)
get_NumberFormat = invoke "get_NumberFormat" () 

set_NumberFormat :: NET.System.Globalization.NumberFormatInfo.NumberFormatInfo a0 -> CultureInfo obj -> IO (())
set_NumberFormat arg0 = invoke "set_NumberFormat" (arg0)

get_DateTimeFormat :: CultureInfo obj -> IO (NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a0)
get_DateTimeFormat = invoke "get_DateTimeFormat" () 

set_DateTimeFormat :: NET.System.Globalization.DateTimeFormatInfo.DateTimeFormatInfo a0 -> CultureInfo obj -> IO (())
set_DateTimeFormat arg0 = invoke "set_DateTimeFormat" (arg0)

clearCachedData :: CultureInfo obj -> IO (())
clearCachedData = invoke "ClearCachedData" () 

get_Calendar :: CultureInfo obj -> IO (NET.System.Globalization.Calendar.Calendar a0)
get_Calendar = invoke "get_Calendar" () 

get_OptionalCalendars :: CultureInfo obj -> IO (NET.System.Array.Array (NET.System.Globalization.Calendar.Calendar a0))
get_OptionalCalendars = invoke "get_OptionalCalendars" () 

get_UseUserOverride :: CultureInfo obj -> IO (Bool)
get_UseUserOverride = invoke "get_UseUserOverride" () 

getConsoleFallbackUICulture :: CultureInfo obj -> IO (NET.System.Globalization.CultureInfo.CultureInfo a0)
getConsoleFallbackUICulture = invoke "GetConsoleFallbackUICulture" () 

clone :: CultureInfo obj -> IO (NET.System.Object.Object a0)
clone = invoke "Clone" () 

readOnly :: NET.System.Globalization.CultureInfo.CultureInfo a0 -> IO (NET.System.Globalization.CultureInfo.CultureInfo a1)
readOnly arg0 = invokeStatic "System.Globalization.CultureInfo" "ReadOnly" (arg0)

get_IsReadOnly :: CultureInfo obj -> IO (Bool)
get_IsReadOnly = invoke "get_IsReadOnly" () 

getCultureInfo :: Int -> IO (NET.System.Globalization.CultureInfo.CultureInfo a1)
getCultureInfo arg0 = invokeStatic "System.Globalization.CultureInfo" "GetCultureInfo" (arg0)

getCultureInfo_1 :: String -> IO (NET.System.Globalization.CultureInfo.CultureInfo a1)
getCultureInfo_1 arg0 = invokeStatic "System.Globalization.CultureInfo" "GetCultureInfo" (arg0)

getCultureInfo_2 :: String -> String -> IO (NET.System.Globalization.CultureInfo.CultureInfo a2)
getCultureInfo_2 arg0 arg1 = invokeStatic "System.Globalization.CultureInfo" "GetCultureInfo" (arg0, arg1)

getCultureInfoByIetfLanguageTag :: String -> IO (NET.System.Globalization.CultureInfo.CultureInfo a1)
getCultureInfoByIetfLanguageTag arg0 = invokeStatic "System.Globalization.CultureInfo" "GetCultureInfoByIetfLanguageTag" (arg0)


