{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Text.StringBuilder where

import NET
import qualified NET.System.Array
import qualified Data.Int
import qualified Data.Word
import qualified NET.System.Decimal
import qualified NET.System.Object
import qualified NET.System.IFormatProvider

data StringBuilder_ a
type StringBuilder a = NET.System.Object.Object (StringBuilder_ a)

get_Capacity :: StringBuilder obj -> IO (Int)
get_Capacity = invoke "get_Capacity" () 

set_Capacity :: Int -> StringBuilder obj -> IO (())
set_Capacity arg0 = invoke "set_Capacity" (arg0)

get_MaxCapacity :: StringBuilder obj -> IO (Int)
get_MaxCapacity = invoke "get_MaxCapacity" () 

ensureCapacity :: Int -> StringBuilder obj -> IO (Int)
ensureCapacity arg0 = invoke "EnsureCapacity" (arg0)

toString :: StringBuilder obj -> IO (String)
toString = invoke "ToString" () 

toString_1 :: Int -> Int -> StringBuilder obj -> IO (String)
toString_1 arg0 arg1 = invoke "ToString" (arg0, arg1)

get_Length :: StringBuilder obj -> IO (Int)
get_Length = invoke "get_Length" () 

set_Length :: Int -> StringBuilder obj -> IO (())
set_Length arg0 = invoke "set_Length" (arg0)

get_Chars :: Int -> StringBuilder obj -> IO (Char)
get_Chars arg0 = invoke "get_Chars" (arg0)

set_Chars :: Int -> Char -> StringBuilder obj -> IO (())
set_Chars arg0 arg1 = invoke "set_Chars" (arg0, arg1)

append :: Char -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
append arg0 arg1 = invoke "Append" (arg0, arg1)

append_1 :: NET.System.Array.Array (Char) -> Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a3)
append_1 arg0 arg1 arg2 = invoke "Append" (arg0, arg1, arg2)

append_2 :: String -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_2 arg0 = invoke "Append" (arg0)

append_3 :: String -> Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a3)
append_3 arg0 arg1 arg2 = invoke "Append" (arg0, arg1, arg2)

appendLine :: StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a0)
appendLine = invoke "AppendLine" () 

appendLine_1 :: String -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
appendLine_1 arg0 = invoke "AppendLine" (arg0)

copyTo :: Int -> NET.System.Array.Array (Char) -> Int -> Int -> StringBuilder obj -> IO (())
copyTo arg0 arg1 arg2 arg3 = invoke "CopyTo" (arg0, arg1, arg2, arg3)

insert :: Int -> String -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a3)
insert arg0 arg1 arg2 = invoke "Insert" (arg0, arg1, arg2)

remove :: Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
remove arg0 arg1 = invoke "Remove" (arg0, arg1)

append_4 :: Bool -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_4 arg0 = invoke "Append" (arg0)

append_5 :: Data.Int.Int8 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_5 arg0 = invoke "Append" (arg0)

append_6 :: Data.Word.Word8 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_6 arg0 = invoke "Append" (arg0)

append_7 :: Char -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_7 arg0 = invoke "Append" (arg0)

append_8 :: Data.Int.Int16 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_8 arg0 = invoke "Append" (arg0)

append_9 :: Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_9 arg0 = invoke "Append" (arg0)

append_10 :: Data.Int.Int64 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_10 arg0 = invoke "Append" (arg0)

append_11 :: Double -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_11 arg0 = invoke "Append" (arg0)

append_12 :: Double -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_12 arg0 = invoke "Append" (arg0)

append_13 :: NET.System.Decimal.Decimal a0 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_13 arg0 = invoke "Append" (arg0)

append_14 :: Data.Word.Word16 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_14 arg0 = invoke "Append" (arg0)

append_15 :: Data.Word.Word32 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_15 arg0 = invoke "Append" (arg0)

append_16 :: Data.Word.Word64 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_16 arg0 = invoke "Append" (arg0)

append_17 :: NET.System.Object.Object a0 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_17 arg0 = invoke "Append" (arg0)

append_18 :: NET.System.Array.Array (Char) -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a1)
append_18 arg0 = invoke "Append" (arg0)

insert_1 :: Int -> String -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_1 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_2 :: Int -> Bool -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_2 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_3 :: Int -> Data.Int.Int8 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_3 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_4 :: Int -> Data.Word.Word8 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_4 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_5 :: Int -> Data.Int.Int16 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_5 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_6 :: Int -> Char -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_6 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_7 :: Int -> NET.System.Array.Array (Char) -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_7 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_8 :: Int -> NET.System.Array.Array (Char) -> Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a4)
insert_8 arg0 arg1 arg2 arg3 = invoke "Insert" (arg0, arg1, arg2, arg3)

insert_9 :: Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_9 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_10 :: Int -> Data.Int.Int64 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_10 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_11 :: Int -> Double -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_11 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_12 :: Int -> Double -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_12 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_13 :: Int -> NET.System.Decimal.Decimal a1 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_13 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_14 :: Int -> Data.Word.Word16 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_14 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_15 :: Int -> Data.Word.Word32 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_15 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_16 :: Int -> Data.Word.Word64 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_16 arg0 arg1 = invoke "Insert" (arg0, arg1)

insert_17 :: Int -> NET.System.Object.Object a1 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
insert_17 arg0 arg1 = invoke "Insert" (arg0, arg1)

appendFormat :: String -> NET.System.Object.Object a1 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
appendFormat arg0 arg1 = invoke "AppendFormat" (arg0, arg1)

appendFormat_1 :: String -> NET.System.Object.Object a1 -> NET.System.Object.Object a2 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a3)
appendFormat_1 arg0 arg1 arg2 = invoke "AppendFormat" (arg0, arg1, arg2)

appendFormat_2 :: String -> NET.System.Object.Object a1 -> NET.System.Object.Object a2 -> NET.System.Object.Object a3 -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a4)
appendFormat_2 arg0 arg1 arg2 arg3 = invoke "AppendFormat" (arg0, arg1, arg2, arg3)

appendFormat_3 :: String -> NET.System.Array.Array (NET.System.Object.Object a1) -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
appendFormat_3 arg0 arg1 = invoke "AppendFormat" (arg0, arg1)

appendFormat_4 :: NET.System.IFormatProvider.IFormatProvider a0 -> String -> NET.System.Array.Array (NET.System.Object.Object a2) -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a3)
appendFormat_4 arg0 arg1 arg2 = invoke "AppendFormat" (arg0, arg1, arg2)

replace :: String -> String -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
replace arg0 arg1 = invoke "Replace" (arg0, arg1)

replace_1 :: String -> String -> Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a4)
replace_1 arg0 arg1 arg2 arg3 = invoke "Replace" (arg0, arg1, arg2, arg3)

equals :: NET.System.Text.StringBuilder.StringBuilder a0 -> StringBuilder obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

replace_2 :: Char -> Char -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a2)
replace_2 arg0 arg1 = invoke "Replace" (arg0, arg1)

replace_3 :: Char -> Char -> Int -> Int -> StringBuilder obj -> IO (NET.System.Text.StringBuilder.StringBuilder a4)
replace_3 arg0 arg1 arg2 arg3 = invoke "Replace" (arg0, arg1, arg2, arg3)


