{-# OPTIONS -XEmptyDataDecls #-}
module NET.System.Uri where

import NET
import qualified NET.System.UriHostNameType
import qualified NET.System.Array
import qualified NET.System.Object
import qualified NET.System.UriPartial
import qualified NET.System.UriKind
--import qualified NET.System.Uri&
--import qualified NET.System.UriComponents
--import qualified NET.System.UriFormat
--import qualified NET.System.StringComparison

data Uri_ a
type Uri a = NET.System.Object.Object (Uri_ a)

get_AbsolutePath :: Uri obj -> IO (String)
get_AbsolutePath = invoke "get_AbsolutePath" () 

get_AbsoluteUri :: Uri obj -> IO (String)
get_AbsoluteUri = invoke "get_AbsoluteUri" () 

get_Authority :: Uri obj -> IO (String)
get_Authority = invoke "get_Authority" () 

get_Host :: Uri obj -> IO (String)
get_Host = invoke "get_Host" () 

get_HostNameType :: Uri obj -> IO (NET.System.UriHostNameType.UriHostNameType a0)
get_HostNameType = invoke "get_HostNameType" () 

get_IsDefaultPort :: Uri obj -> IO (Bool)
get_IsDefaultPort = invoke "get_IsDefaultPort" () 

get_IsFile :: Uri obj -> IO (Bool)
get_IsFile = invoke "get_IsFile" () 

get_IsLoopback :: Uri obj -> IO (Bool)
get_IsLoopback = invoke "get_IsLoopback" () 

get_IsUnc :: Uri obj -> IO (Bool)
get_IsUnc = invoke "get_IsUnc" () 

get_LocalPath :: Uri obj -> IO (String)
get_LocalPath = invoke "get_LocalPath" () 

get_PathAndQuery :: Uri obj -> IO (String)
get_PathAndQuery = invoke "get_PathAndQuery" () 

get_Port :: Uri obj -> IO (Int)
get_Port = invoke "get_Port" () 

get_Query :: Uri obj -> IO (String)
get_Query = invoke "get_Query" () 

get_Fragment :: Uri obj -> IO (String)
get_Fragment = invoke "get_Fragment" () 

get_Scheme :: Uri obj -> IO (String)
get_Scheme = invoke "get_Scheme" () 

get_OriginalString :: Uri obj -> IO (String)
get_OriginalString = invoke "get_OriginalString" () 

get_DnsSafeHost :: Uri obj -> IO (String)
get_DnsSafeHost = invoke "get_DnsSafeHost" () 

get_IsAbsoluteUri :: Uri obj -> IO (Bool)
get_IsAbsoluteUri = invoke "get_IsAbsoluteUri" () 

get_Segments :: Uri obj -> IO (NET.System.Array.Array (String))
get_Segments = invoke "get_Segments" () 

get_UserEscaped :: Uri obj -> IO (Bool)
get_UserEscaped = invoke "get_UserEscaped" () 

get_UserInfo :: Uri obj -> IO (String)
get_UserInfo = invoke "get_UserInfo" () 

checkHostName :: String -> IO (NET.System.UriHostNameType.UriHostNameType a1)
checkHostName arg0 = invokeStatic "System.Uri" "CheckHostName" (arg0)

checkSchemeName :: String -> IO (Bool)
checkSchemeName arg0 = invokeStatic "System.Uri" "CheckSchemeName" (arg0)

fromHex :: Char -> IO (Int)
fromHex arg0 = invokeStatic "System.Uri" "FromHex" (arg0)

getHashCode :: Uri obj -> IO (Int)
getHashCode = invoke "GetHashCode" () 

toString :: Uri obj -> IO (String)
toString = invoke "ToString" () 

op_Equality :: NET.System.Uri.Uri a0 -> NET.System.Uri.Uri a1 -> IO (Bool)
op_Equality arg0 arg1 = invokeStatic "System.Uri" "op_Equality" (arg0, arg1)

op_Inequality :: NET.System.Uri.Uri a0 -> NET.System.Uri.Uri a1 -> IO (Bool)
op_Inequality arg0 arg1 = invokeStatic "System.Uri" "op_Inequality" (arg0, arg1)

equals :: NET.System.Object.Object a0 -> Uri obj -> IO (Bool)
equals arg0 = invoke "Equals" (arg0)

getLeftPart :: NET.System.UriPartial.UriPartial a0 -> Uri obj -> IO (String)
getLeftPart arg0 = invoke "GetLeftPart" (arg0)

hexEscape :: Char -> IO (String)
hexEscape arg0 = invokeStatic "System.Uri" "HexEscape" (arg0)

hexUnescape :: String -> Int -> IO (Char)
hexUnescape arg0 arg1 = invokeStatic "System.Uri" "HexUnescape" (arg0, arg1)

isHexDigit :: Char -> IO (Bool)
isHexDigit arg0 = invokeStatic "System.Uri" "IsHexDigit" (arg0)

isHexEncoding :: String -> Int -> IO (Bool)
isHexEncoding arg0 arg1 = invokeStatic "System.Uri" "IsHexEncoding" (arg0, arg1)

makeRelative :: NET.System.Uri.Uri a0 -> Uri obj -> IO (String)
makeRelative arg0 = invoke "MakeRelative" (arg0)

makeRelativeUri :: NET.System.Uri.Uri a0 -> Uri obj -> IO (NET.System.Uri.Uri a1)
makeRelativeUri arg0 = invoke "MakeRelativeUri" (arg0)

--tryCreate :: String -> NET.System.UriKind.UriKind a1 -> NET.System.Uri&.Uri& a2 -> IO (Bool)
--tryCreate arg0 arg1 arg2 = invokeStatic "System.Uri" "TryCreate" (arg0, arg1, arg2)

--tryCreate_1 :: NET.System.Uri.Uri a0 -> String -> NET.System.Uri&.Uri& a2 -> IO (Bool)
--tryCreate_1 arg0 arg1 arg2 = invokeStatic "System.Uri" "TryCreate" (arg0, arg1, arg2)

--tryCreate_2 :: NET.System.Uri.Uri a0 -> NET.System.Uri.Uri a1 -> NET.System.Uri&.Uri& a2 -> IO (Bool)
--tryCreate_2 arg0 arg1 arg2 = invokeStatic "System.Uri" "TryCreate" (arg0, arg1, arg2)

isBaseOf :: NET.System.Uri.Uri a0 -> Uri obj -> IO (Bool)
isBaseOf arg0 = invoke "IsBaseOf" (arg0)

--getComponents :: NET.System.UriComponents.UriComponents a0 -> NET.System.UriFormat.UriFormat a1 -> Uri obj -> IO (String)
--getComponents arg0 arg1 = invoke "GetComponents" (arg0, arg1)

isWellFormedOriginalString :: Uri obj -> IO (Bool)
isWellFormedOriginalString = invoke "IsWellFormedOriginalString" () 

isWellFormedUriString :: String -> NET.System.UriKind.UriKind a1 -> IO (Bool)
isWellFormedUriString arg0 arg1 = invokeStatic "System.Uri" "IsWellFormedUriString" (arg0, arg1)

--compare :: NET.System.Uri.Uri a0 -> NET.System.Uri.Uri a1 -> NET.System.UriComponents.UriComponents a2 -> NET.System.UriFormat.UriFormat a3 -> NET.System.StringComparison.StringComparison a4 -> IO (Int)
--compare arg0 arg1 arg2 arg3 arg4 = invokeStatic "System.Uri" "Compare" (arg0, arg1, arg2, arg3, arg4)

unescapeDataString :: String -> IO (String)
unescapeDataString arg0 = invokeStatic "System.Uri" "UnescapeDataString" (arg0)

escapeUriString :: String -> IO (String)
escapeUriString arg0 = invokeStatic "System.Uri" "EscapeUriString" (arg0)

escapeDataString :: String -> IO (String)
escapeDataString arg0 = invokeStatic "System.Uri" "EscapeDataString" (arg0)

get_UriSchemeFile :: IO (String)
get_UriSchemeFile = getFieldStatic "System.Uri" "UriSchemeFile" ()
get_UriSchemeFtp :: IO (String)
get_UriSchemeFtp = getFieldStatic "System.Uri" "UriSchemeFtp" ()
get_UriSchemeGopher :: IO (String)
get_UriSchemeGopher = getFieldStatic "System.Uri" "UriSchemeGopher" ()
get_UriSchemeHttp :: IO (String)
get_UriSchemeHttp = getFieldStatic "System.Uri" "UriSchemeHttp" ()
get_UriSchemeHttps :: IO (String)
get_UriSchemeHttps = getFieldStatic "System.Uri" "UriSchemeHttps" ()
get_UriSchemeMailto :: IO (String)
get_UriSchemeMailto = getFieldStatic "System.Uri" "UriSchemeMailto" ()
get_UriSchemeNews :: IO (String)
get_UriSchemeNews = getFieldStatic "System.Uri" "UriSchemeNews" ()
get_UriSchemeNntp :: IO (String)
get_UriSchemeNntp = getFieldStatic "System.Uri" "UriSchemeNntp" ()
get_UriSchemeNetTcp :: IO (String)
get_UriSchemeNetTcp = getFieldStatic "System.Uri" "UriSchemeNetTcp" ()
get_UriSchemeNetPipe :: IO (String)
get_UriSchemeNetPipe = getFieldStatic "System.Uri" "UriSchemeNetPipe" ()
get_SchemeDelimiter :: IO (String)
get_SchemeDelimiter = getFieldStatic "System.Uri" "SchemeDelimiter" ()

